Gentoo Archives: gentoo-user

From: Volker Armin Hemmann <volkerarmin@××××××××××.com>
To: gentoo-user@l.g.o
Subject: Re: [gentoo-user] kde 4.2.1 sill pulling in 3.5 packages
Date: Tue, 24 Mar 2009 17:35:53
Message-Id: 200903241835.44773.volkerarmin@googlemail.com
In Reply to: [gentoo-user] kde 4.2.1 sill pulling in 3.5 packages by James
On Tuesday 24 March 2009, James wrote:

> Where I'm confused is can I have 2 versions > of kdelibs installed at the same time? > My gut tells me NO?
your guts tell you wrong a) kde3 is installed into /usr/kde/3.5 b) kde4 is either in /usr or /usr/kde/4.X (kdeprefix useflag, use it)
> Mask kdelibs 3.5.x completely?
why?
> (syntax suggestions here for package.mask are welcome) > > emerge -C kde-3.5.9* (can I do this?) > emerge --depclean -a
emerge -C @kde-3.5? if your portage version supports sets.
> > and then watch closely what I emerge?
maybe. But that you have to do always so...?

Replies

Subject Author
[gentoo-user] Re: kde 4.2.1 sill pulling in 3.5 packages "wireless@×××××××××××.com" <wireless@×××××××××××.com>
[gentoo-user] Re: kde 4.2.1 sill pulling in 3.5 packages James <wireless@×××××××××××.com>